Bug 54599 - resizing of xserver windows is buggy and very slow
Summary: resizing of xserver windows is buggy and very slow
Status: RESOLVED FIXED
Alias: None
Product: Wayland
Classification: Unclassified
Component: weston (show other bugs)
Version: unspecified
Hardware: x86 (IA32) Linux (All)
: high normal
Assignee: Wayland bug list
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-09-06 15:00 UTC by Knut Petersen
Modified: 2014-04-03 17:30 UTC (History)
1 user (show)

See Also:
i915 platform:
i915 features:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Knut Petersen 2012-09-06 15:00:15 UTC

    
Comment 1 Darxus 2012-09-06 15:10:39 UTC
What graphics hardware and DDX are you using?  With both Radeon, it's definitely not slow.  A bit flickery.  And if I make a window wider than my desktop, I can't grab the right edge or corners to resize it.  And I'm assuming it's known that when dragging the top or left edges, or that corner, it's the opposite side that moves.
Comment 2 Knut Petersen 2012-09-06 15:15:33 UTC
hw: i915GM, cpu: Pentium-M Dothan
sw: current git versions of kernel/xorg/wayland

Resizing a window by grabbing the right and bottom border of a xorg window running under control of weston does work as expected.

Grabbing the left window and trying to resize changes the right border of the window.

Grabbing the top border and trying to resize changes the bottom border of the window.

Resizing a xorg window is _very_ slow, takes several seconds to complete.

Resizing glxgears makes the background transparent, the gears stay opaque. That can be fixed by clicking into the window.

cu,
 Knut
Comment 3 Knut Petersen 2012-09-06 15:22:18 UTC
(In reply to comment #1)
> What graphics hardware and DDX are you using?  With both Radeon, it's
> definitely not slow.  

to be more precise:

Pentium-M Dothan 2GHz running on an Aopen i915GMm-hfs mobo with 2GB RAM.
Graphics hardware: i915GM


> A bit flickery. 

A bit? ;-)))

And the window borders disappear / reappear serveral times during a resize.
Comment 4 Kristian Høgsberg 2014-01-07 21:06:48 UTC
Borrowing this bug for a little test.
Comment 5 Kristian Høgsberg 2014-01-07 21:54:50 UTC
Just one more comment.
Comment 6 Kristian Høgsberg 2014-01-07 22:39:59 UTC
Hello, bug!
Comment 7 Kristian Høgsberg 2014-01-08 01:32:22 UTC
Hello, bug!
Comment 8 Kristian Høgsberg 2014-04-03 17:30:56 UTC
This should be fixed with the new Xwayland.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.